> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://reference.flatfile.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server.

# List guests

GET https://api.x.flatfile.com/v1/guests

Returns all guests

Reference: https://reference.flatfile.com/api-reference/guests/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `spaceId` (string, required) — ID of space to return
- `email` (string, optional) — Email of guest to return

## Response

### 200

- `data` (list of Guest, required)

## Types

### Guest

- `createdAt` (datetime, required) — Date the guest object was created
- `email` (string, required)
- `environmentId` (string, required) — Environment ID
- `id` (string, required) — Guest ID
- `name` (string, required)
- `spaces` (list of GuestSpace, required)
- `updatedAt` (datetime, required) — Date the guest object was last updated

### GuestSpace

- `id` (string, required) — Space ID
- `workbooks` (list of GuestWorkbook, optional)
- `sheets` (list of GuestSheet, optional)
- `lastAccessed` (datetime, optional)

### GuestWorkbook

- `id` (string, required) — Workbook ID

### GuestSheet

- `id` (string, required) — Sheet ID

## Examples

**Response**

```json
{
  "data": [
    {
      "createdAt": "2023-10-30T16:59:45.735Z",
      "email": "email@example.com",
      "environmentId": "us_env_YOUR_ID",
      "id": "us_g_YOUR_ID",
      "name": "Your Name",
      "spaces": [
        {
          "id": "us_sp_YOUR_ID",
          "workbooks": [
            {
              "id": "us_wb_YOUR_ID"
            }
          ],
          "sheets": [
            {
              "id": "us_sh_YOUR_ID"
            }
          ],
          "lastAccessed": "2023-10-30T16:59:45.735Z"
        }
      ],
      "updatedAt": "2023-10-30T16:59:45.735Z"
    }
  ]
}
```

**SDK Code**

```python Example0
import requests

url = "https://api.x.flatfile.com/v1/guests"

querystring = {"spaceId":"us_sp_YOUR_ID"}

headers = {
    "X-Disable-Hooks": "true",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```typescript Example0
import { FlatfileClient } from "@flatfile/api";

const client = new FlatfileClient({ token: "YOUR_TOKEN" });
await client.guests.list({
    spaceId: "us_sp_YOUR_ID"
});

```

```go Example0
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.x.flatfile.com/v1/guests?spaceId=us_sp_YOUR_ID"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Disable-Hooks", "true")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example0
require 'uri'
require 'net/http'

url = URI("https://api.x.flatfile.com/v1/guests?spaceId=us_sp_YOUR_ID")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Disable-Hooks"] = 'true'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example0
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.x.flatfile.com/v1/guests?spaceId=us_sp_YOUR_ID")
  .header("X-Disable-Hooks", "true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example0
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.x.flatfile.com/v1/guests?spaceId=us_sp_YOUR_ID', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Disable-Hooks' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp Example0
using RestSharp;

var client = new RestClient("https://api.x.flatfile.com/v1/guests?spaceId=us_sp_YOUR_ID");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Disable-Hooks", "true");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example0
import Foundation

let headers = [
  "X-Disable-Hooks": "true",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/guests?spaceId=us_sp_YOUR_ID")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```